curl -X POST 'https://public.rcmr.io/api/v1/orders/import' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d @- <<'JSON'
{
"id": 1234567,
"order_number": 1001,
"status": "processing",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"order_discount_amount": 100,
"order_point_price": 100,
"total_item_discount_amount": 100,
"subtotal_price": 100,
"total_shipping_price": "string",
"total_discount": 100,
"additional_fees_amount": 100,
"total_price": 100,
"total_tax": 100,
"payment_at": "2023-05-10T12:00:00+09:00",
"is_tax_included": true,
"currency": "JPY",
"quantity": 3,
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"note": "テスト注文",
"order_link": "https://recustomer.me/order/1",
"customer": {
"customer_id": "1",
"email": "test@recustomer.co",
"last_name": "佐藤",
"first_name": "太郎",
"full_name": "佐藤 太郎",
"phone_number": "000-####-####",
"is_consent_email_marketing": false,
"is_consent_sms_marketing": false,
"purchase_times": 11,
"customer_tags": [
"test顧客",
"一般会員"
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
},
"line_items": [
{
"id": "1000",
"product_id": "product_id",
"product_name": "テスト商品",
"variant_id": "2538974832789",
"sku": "product_id_S_Red",
"item_image": "https://recustomer.me/image/12345",
"item_discount_price": 100,
"item_discount_amount": 100,
"item_price": 100,
"item_compare_at_price": 100,
"item_cost": 100,
"item_quantity": 1,
"item_price_amount": 100,
"item_tax_price": 100,
"is_tax_included": true,
"fulfillment_status": "null",
"variant_options": [
{
"name": "カラー",
"value": "レッド"
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
],
"shipping_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"billing_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"fulfillments": [
{
"id": "1",
"status": "pending",
"tracking_company": "yamato",
"tracking_number": "4983892",
"fulfillment_line_items": [
{
"id": "1",
"order_line_item_id": 1,
"quantity": 2
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"transactions": [
{
"id": "2",
"parent_id": 1,
"amount": 1000,
"currency": "JPY",
"status": "success",
"gateway": "manual",
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
JSON
const response = await fetch("https://public.rcmr.io/api/v1/orders/import", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_TOKEN",
'Content-Type': 'application/json',
},
body: JSON.stringify({
"id": 1234567,
"order_number": 1001,
"status": "processing",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"order_discount_amount": 100,
"order_point_price": 100,
"total_item_discount_amount": 100,
"subtotal_price": 100,
"total_shipping_price": "string",
"total_discount": 100,
"additional_fees_amount": 100,
"total_price": 100,
"total_tax": 100,
"payment_at": "2023-05-10T12:00:00+09:00",
"is_tax_included": true,
"currency": "JPY",
"quantity": 3,
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"note": "テスト注文",
"order_link": "https://recustomer.me/order/1",
"customer": {
"customer_id": "1",
"email": "test@recustomer.co",
"last_name": "佐藤",
"first_name": "太郎",
"full_name": "佐藤 太郎",
"phone_number": "000-####-####",
"is_consent_email_marketing": false,
"is_consent_sms_marketing": false,
"purchase_times": 11,
"customer_tags": [
"test顧客",
"一般会員"
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
},
"line_items": [
{
"id": "1000",
"product_id": "product_id",
"product_name": "テスト商品",
"variant_id": "2538974832789",
"sku": "product_id_S_Red",
"item_image": "https://recustomer.me/image/12345",
"item_discount_price": 100,
"item_discount_amount": 100,
"item_price": 100,
"item_compare_at_price": 100,
"item_cost": 100,
"item_quantity": 1,
"item_price_amount": 100,
"item_tax_price": 100,
"is_tax_included": true,
"fulfillment_status": "null",
"variant_options": [
{
"name": "カラー",
"value": "レッド"
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
],
"shipping_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"billing_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"fulfillments": [
{
"id": "1",
"status": "pending",
"tracking_company": "yamato",
"tracking_number": "4983892",
"fulfillment_line_items": [
{
"id": "1",
"order_line_item_id": 1,
"quantity": 2
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"transactions": [
{
"id": "2",
"parent_id": 1,
"amount": 1000,
"currency": "JPY",
"status": "success",
"gateway": "manual",
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}),
});
console.log(response.status, await response.json());
# pip install requests
import requests
response = requests.request(
"POST",
"https://public.rcmr.io/api/v1/orders/import",
headers={
"Authorization": "Bearer YOUR_API_TOKEN",
},
json={
"id": 1234567,
"order_number": 1001,
"status": "processing",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"order_discount_amount": 100,
"order_point_price": 100,
"total_item_discount_amount": 100,
"subtotal_price": 100,
"total_shipping_price": "string",
"total_discount": 100,
"additional_fees_amount": 100,
"total_price": 100,
"total_tax": 100,
"payment_at": "2023-05-10T12:00:00+09:00",
"is_tax_included": True,
"currency": "JPY",
"quantity": 3,
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"note": "テスト注文",
"order_link": "https://recustomer.me/order/1",
"customer": {
"customer_id": "1",
"email": "test@recustomer.co",
"last_name": "佐藤",
"first_name": "太郎",
"full_name": "佐藤 太郎",
"phone_number": "000-####-####",
"is_consent_email_marketing": False,
"is_consent_sms_marketing": False,
"purchase_times": 11,
"customer_tags": [
"test顧客",
"一般会員",
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": None,
},
],
},
"line_items": [
{
"id": "1000",
"product_id": "product_id",
"product_name": "テスト商品",
"variant_id": "2538974832789",
"sku": "product_id_S_Red",
"item_image": "https://recustomer.me/image/12345",
"item_discount_price": 100,
"item_discount_amount": 100,
"item_price": 100,
"item_compare_at_price": 100,
"item_cost": 100,
"item_quantity": 1,
"item_price_amount": 100,
"item_tax_price": 100,
"is_tax_included": True,
"fulfillment_status": "null",
"variant_options": [
{
"name": "カラー",
"value": "レッド",
},
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": None,
},
],
},
],
"shipping_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F",
},
},
"billing_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F",
},
},
"fulfillments": [
{
"id": "1",
"status": "pending",
"tracking_company": "yamato",
"tracking_number": "4983892",
"fulfillment_line_items": [
{
"id": "1",
"order_line_item_id": 1,
"quantity": 2,
},
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
},
],
"transactions": [
{
"id": "2",
"parent_id": 1,
"amount": 1000,
"currency": "JPY",
"status": "success",
"gateway": "manual",
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
},
],
"metafields": [
{
"key": "coupon_code",
"value": None,
},
],
},
)
print(response.status_code, response.json())
<?php
$payload = <<<'JSON'
{
"id": 1234567,
"order_number": 1001,
"status": "processing",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"order_discount_amount": 100,
"order_point_price": 100,
"total_item_discount_amount": 100,
"subtotal_price": 100,
"total_shipping_price": "string",
"total_discount": 100,
"additional_fees_amount": 100,
"total_price": 100,
"total_tax": 100,
"payment_at": "2023-05-10T12:00:00+09:00",
"is_tax_included": true,
"currency": "JPY",
"quantity": 3,
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"note": "テスト注文",
"order_link": "https://recustomer.me/order/1",
"customer": {
"customer_id": "1",
"email": "test@recustomer.co",
"last_name": "佐藤",
"first_name": "太郎",
"full_name": "佐藤 太郎",
"phone_number": "000-####-####",
"is_consent_email_marketing": false,
"is_consent_sms_marketing": false,
"purchase_times": 11,
"customer_tags": [
"test顧客",
"一般会員"
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
},
"line_items": [
{
"id": "1000",
"product_id": "product_id",
"product_name": "テスト商品",
"variant_id": "2538974832789",
"sku": "product_id_S_Red",
"item_image": "https://recustomer.me/image/12345",
"item_discount_price": 100,
"item_discount_amount": 100,
"item_price": 100,
"item_compare_at_price": 100,
"item_cost": 100,
"item_quantity": 1,
"item_price_amount": 100,
"item_tax_price": 100,
"is_tax_included": true,
"fulfillment_status": "null",
"variant_options": [
{
"name": "カラー",
"value": "レッド"
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
],
"shipping_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"billing_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"fulfillments": [
{
"id": "1",
"status": "pending",
"tracking_company": "yamato",
"tracking_number": "4983892",
"fulfillment_line_items": [
{
"id": "1",
"order_line_item_id": 1,
"quantity": 2
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"transactions": [
{
"id": "2",
"parent_id": 1,
"amount": 1000,
"currency": "JPY",
"status": "success",
"gateway": "manual",
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
JSON;
$ch = curl_init('https://public.rcmr.io/api/v1/orders/import');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_API_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => $payload,
CURLOPT_RETURNTRANSFER => true,
]);
$body = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
echo $status, PHP_EOL, $body, PHP_EOL;
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
payload := strings.NewReader(`{
"id": 1234567,
"order_number": 1001,
"status": "processing",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"order_discount_amount": 100,
"order_point_price": 100,
"total_item_discount_amount": 100,
"subtotal_price": 100,
"total_shipping_price": "string",
"total_discount": 100,
"additional_fees_amount": 100,
"total_price": 100,
"total_tax": 100,
"payment_at": "2023-05-10T12:00:00+09:00",
"is_tax_included": true,
"currency": "JPY",
"quantity": 3,
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"note": "テスト注文",
"order_link": "https://recustomer.me/order/1",
"customer": {
"customer_id": "1",
"email": "test@recustomer.co",
"last_name": "佐藤",
"first_name": "太郎",
"full_name": "佐藤 太郎",
"phone_number": "000-####-####",
"is_consent_email_marketing": false,
"is_consent_sms_marketing": false,
"purchase_times": 11,
"customer_tags": [
"test顧客",
"一般会員"
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
},
"line_items": [
{
"id": "1000",
"product_id": "product_id",
"product_name": "テスト商品",
"variant_id": "2538974832789",
"sku": "product_id_S_Red",
"item_image": "https://recustomer.me/image/12345",
"item_discount_price": 100,
"item_discount_amount": 100,
"item_price": 100,
"item_compare_at_price": 100,
"item_cost": 100,
"item_quantity": 1,
"item_price_amount": 100,
"item_tax_price": 100,
"is_tax_included": true,
"fulfillment_status": "null",
"variant_options": [
{
"name": "カラー",
"value": "レッド"
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
],
"shipping_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"billing_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"fulfillments": [
{
"id": "1",
"status": "pending",
"tracking_company": "yamato",
"tracking_number": "4983892",
"fulfillment_line_items": [
{
"id": "1",
"order_line_item_id": 1,
"quantity": 2
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"transactions": [
{
"id": "2",
"parent_id": 1,
"amount": 1000,
"currency": "JPY",
"status": "success",
"gateway": "manual",
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}`)
req, err := http.NewRequest("POST", "https://public.rcmr.io/api/v1/orders/import", payload)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(body))
}
// Cargo.toml: reqwest = { version = "0.12", features = ["blocking"] }
fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = r#"{
"id": 1234567,
"order_number": 1001,
"status": "processing",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"order_discount_amount": 100,
"order_point_price": 100,
"total_item_discount_amount": 100,
"subtotal_price": 100,
"total_shipping_price": "string",
"total_discount": 100,
"additional_fees_amount": 100,
"total_price": 100,
"total_tax": 100,
"payment_at": "2023-05-10T12:00:00+09:00",
"is_tax_included": true,
"currency": "JPY",
"quantity": 3,
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"note": "テスト注文",
"order_link": "https://recustomer.me/order/1",
"customer": {
"customer_id": "1",
"email": "test@recustomer.co",
"last_name": "佐藤",
"first_name": "太郎",
"full_name": "佐藤 太郎",
"phone_number": "000-####-####",
"is_consent_email_marketing": false,
"is_consent_sms_marketing": false,
"purchase_times": 11,
"customer_tags": [
"test顧客",
"一般会員"
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
},
"line_items": [
{
"id": "1000",
"product_id": "product_id",
"product_name": "テスト商品",
"variant_id": "2538974832789",
"sku": "product_id_S_Red",
"item_image": "https://recustomer.me/image/12345",
"item_discount_price": 100,
"item_discount_amount": 100,
"item_price": 100,
"item_compare_at_price": 100,
"item_cost": 100,
"item_quantity": 1,
"item_price_amount": 100,
"item_tax_price": 100,
"is_tax_included": true,
"fulfillment_status": "null",
"variant_options": [
{
"name": "カラー",
"value": "レッド"
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00",
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}
],
"shipping_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"billing_address": {
"first_name": "太郎",
"last_name": "佐藤",
"full_name": "佐藤 太郎",
"email": "test@recustomer.co",
"phone_number": "000-####-####",
"address": {
"country_code": "JP",
"postal_code": "1010024",
"province": "東京都",
"city": "千代田区",
"address1": "神田和泉町1-8-11",
"address2": "サン・センタービル5F"
}
},
"fulfillments": [
{
"id": "1",
"status": "pending",
"tracking_company": "yamato",
"tracking_number": "4983892",
"fulfillment_line_items": [
{
"id": "1",
"order_line_item_id": 1,
"quantity": 2
}
],
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"transactions": [
{
"id": "2",
"parent_id": 1,
"amount": 1000,
"currency": "JPY",
"status": "success",
"gateway": "manual",
"created_at": "2023-05-10T12:00:00+09:00",
"updated_at": "2023-05-12T10:30:00+09:00"
}
],
"metafields": [
{
"key": "coupon_code",
"value": null
}
]
}"#;
let response = reqwest::blocking::Client::new()
.request(reqwest::Method::POST, "https://public.rcmr.io/api/v1/orders/import")
.header("Authorization", "Bearer YOUR_API_TOKEN")
.header("Content-Type", "application/json")
.body(payload)
.send()?;
println!("{} {}", response.status(), response.text()?);
Ok(())
}